Package org.silverpeas.mobile.shared.dto.password

## Class PasswordControlDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.password.PasswordControlDTO

- All Implemented Interfaces:
    `Serializable`

      public class PasswordControlDTO
      extends Object
      implements Serializable

  Author:
    svu
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PasswordControlDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String[]` | `getCombinedRuleIdsInError()` |
    `String[]` | `getRequiredRuleIdsInError()` |
    `boolean` | `isCorrect()` |
    `boolean` | `isRuleCombinationRespected()` |
    `void` | `setCombinedRuleIdsInError​(String[] combinedRuleIdsInError)` |
    `void` | `setIsCorrect​(boolean isCorrect)` |
    `void` | `setIsRuleCombinationRespected​(boolean isRuleCombinationRespected)` |
    `void` | `setRequiredRuleIdsInError​(String[] requiredRuleIdsInError)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PasswordControlDTO

          public PasswordControlDTO()

  - ### Method Detail

    - #### getRequiredRuleIdsInError

          public String[] getRequiredRuleIdsInError()

    - #### setRequiredRuleIdsInError

          public void setRequiredRuleIdsInError​(String[] requiredRuleIdsInError)

    - #### getCombinedRuleIdsInError

          public String[] getCombinedRuleIdsInError()

    - #### setCombinedRuleIdsInError

          public void setCombinedRuleIdsInError​(String[] combinedRuleIdsInError)

    - #### isRuleCombinationRespected

          public boolean isRuleCombinationRespected()

    - #### setIsRuleCombinationRespected

          public void setIsRuleCombinationRespected​(boolean isRuleCombinationRespected)

    - #### isCorrect

          public boolean isCorrect()

    - #### setIsCorrect

          public void setIsCorrect​(boolean isCorrect)